Bug 6832 - Login token not working with review reminders
Login token not working with review reminders
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Reviewers
3.0b
All All
: P3 normal
Assigned To: Michael Thessel
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-19 14:43 PDT by Juan Pablo Alperin
Modified: 2014-06-23 15:04 PDT (History)
2 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Juan Pablo Alperin 2011-08-19 14:43:19 PDT
I don't think the login tokens are working at all in OMP. But have not researched at all to see what is not working. We may have to change the authentication policy, but for now, the login part itself is not working either.
Comment 1 Alec Smecher 2011-09-02 15:40:02 PDT
Access keys not currently working
https://github.com/pkp/omp/commit/1719e37aa0759fdadd9110f359997fec894485f9
Comment 2 Alec Smecher 2011-09-02 15:40:32 PDT
Juan, do you mean one-click reviewer access? That's not currently implemented in OMP at all, and would require policy changes to get going. But I suggest that's best left for a follow-up to the initial release. Is that reasonable?
Comment 3 Juan Pablo Alperin 2011-09-05 17:19:16 PDT
Yes, that's fine. Unless its an easy win. People use that feature a lot, I think.
Comment 4 Alec Smecher 2011-09-06 09:12:42 PDT
Not an easy win, and probably a very nice "here you go" for a follow-up release. Deferring.
Comment 5 Juan Pablo Alperin 2011-09-07 00:22:28 PDT
Also: email review process
Comment 6 Alec Smecher 2014-01-02 05:32:47 PST
Moving to OJS 3.0, where it'll really be relevant.
Comment 7 Alec Smecher 2014-06-17 17:17:02 PDT
Pull request opened (not merged):
Fixed broken Validaton include
https://github.com/pkp/ojs/pull/216
Comment 8 Alec Smecher 2014-06-17 17:17:03 PDT
Pull request opened (not merged):
Fixed broken Validaton include
https://github.com/pkp/pkp-lib/pull/109
Comment 9 Michael Thessel 2014-06-17 17:18:02 PDT
I added pull requests for this:
https://github.com/pkp/pkp-lib/pull/109
https://github.com/pkp/ojs/pull/216

The issue was actually a wrong include call.

Alec, could you please review this?
Comment 10 Alec Smecher 2014-06-18 10:21:11 PDT
Looks good, Michael; merged.
Comment 11 Alec Smecher 2014-06-18 10:22:03 PDT
Pull request closed (merged):
Fixed broken Validaton include
https://github.com/pkp/ojs/pull/216
Comment 12 Michael Thessel 2014-06-18 10:22:03 PDT
Fixed broken Validaton include
https://github.com/pkp/ojs/commit/55c03aef0ed0dbe7261ffd98b25ce5a744e577f1